Subject: bug#36167: [PATCH] Replace manually crafted hex regexes with [[:xdigit:]]

From: Konstantin Kharlamov <[email-masked]>
Date: Tue, 11 Jun 2019 14:59:46 +0300

Hopefully, this is more readable compared to older "[0-9a-fA-F]", 
because the intention is immediately obvious.

Fun fact: initially I started it because on my older Emacs this 
resulted in better performance; the difference was about 10x times. But 
I can't reproduce this on the current master anymore, i.e. the 
performance matches. Oh, well. I'm thus not sending the patch replacing 
[0-9] with [[:digit:]] because in terms of readability the intention is 
clear there, however replacing the hex regexes should still make code 
more readable.

P.S.: I'm not sure if the commit message looks okay, comments are 
welcome.